clear all

% Create package for each version
version='V1';
if ~exist(['./' mfilename '_package_folder_' version '/'],'file');
    mkdir (['./' mfilename '_package_folder_' version '/']);
    [fList,pList] = matlab.codetools.requiredFilesAndProducts(mfilename);
    text_copy_command=['cp -rp ' ];
    for i=1:size(fList,2);
        disp(fList{1,i});
        text_copy_command=[text_copy_command ' ' fList{1,i}];
    end
    text_copy_command=[text_copy_command ' ./' mfilename '_package_folder_' version '/'];
    unix(text_copy_command);
else
    [list_out]=dir(['./' mfilename '_package_folder_' version '/*.m']);
    fList=list_out;
    text_copy_command=['cp -rp ' ];
    for i=1:size(fList);
        disp(fList(i).name);
        text_copy_command=[text_copy_command ' ' fList(i).name];
    end
    text_copy_command=[text_copy_command ' ./' mfilename '_package_folder_' version '/'];
    unix(text_copy_command);
end

% Define the path where shaped pulses are stored
path='martabrucka/opt/topspin3.2/exp/stan/nmr/'; % Adapt to reach the "lists" folder
shape_path=[path 'lists/wave/user/']; % Continue the path specification inside the "lists" folder
if ~exist(shape_path),
    shape_path='.';
end
shape_path='.';
 
% Choose 0 or 1 to not to display/to display a figure with the created shape
display_figure=1;

prename='djgenchirp_package';

% Call the function that actually creates the chirp shapes
% "djgenchirp_released". You can at one shot create chirps with different
% parameters specified in the arrays in the loops below.

for nb_pt=[1000   ],% Specify here the list of number of points
    for sweep_khz=[10   ],% Specify here the list of sweep width
        for duration_ms_table=[15],% Specify here the list of durations
            smooth_percent=20;
            direction=1; % What the direction parameter means????
            smooth_sine=1; % equivalent to checkbox 'smoothing(-pi/2 -> +pi/2)' in the ShapeTool of Topspin when generating smoothed chirp
            
            djgenchirp_package(sweep_khz,duration_ms_table,smooth_percent,direction,smooth_sine,nb_pt,shape_path,version,0);% this generates a simple chirp
%             djgenchirp_package(sweep_khz,duration_ms_table,smooth_percent,direction,smooth_sine,nb_pt,shape_path,version,1);% this generates two successive chirps running in opposite directions
%             djgenchirp_package(sweep_khz,duration_ms_table,smooth_percent,direction,smooth_sine,nb_pt,shape_path,version,2);% this generates the equivalent of the sum of two simultaneous successive chirps running in opposite directions (two SALTIRE CHIRPS)
            
        end
    end
end